| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | Protected Slots | Protected Member Functions | Friends | List of all members
Digikam::DMultiTabBarButton Class Reference
Inheritance diagram for Digikam::DMultiTabBarButton:

## Public Slots
void | setText (const QString &text)

## Signals
void | signalClicked (int id)
| this is emitted if the button is clicked

## Public Member Functions
int | id () const

## Protected Slots
virtual void | slotClicked ()

## Protected Member Functions
| DMultiTabBarButton (const QIcon &pic, const QString &, int id, QWidget *const parent)
void | hideEvent (QHideEvent *) override
void | paintEvent (QPaintEvent *) override
void | showEvent (QShowEvent *) override

## Friends
class | DMultiTabBar

## Member Function Documentation

## ◆ signalClicked

void Digikam::DMultiTabBarButton::signalClicked | ( | int | id | ) |
| signal

Parameters

  id | the ID identifying the button